RCW = LibStub("AceAddon-3.0"):NewAddon("Ready Check Warning", "AceEvent-3.0", "AceConsole-3.0");

local options = {
	name = "Ready Check Warning",
	type = "group",
	args = {
		test = {
			name = "Test",
			type = "execute",
			func = "ReadyCheckWarning",
		},
	},
};

function RCW:OnInitialize()
	LibStub("AceConfig-3.0"):RegisterOptionsTable("Ready Check Warning", options);
	self:RegisterChatCommand("rcw", "ChatCommand");
end

function RCW:OnEnable()
	self:RegisterEvent("READY_CHECK", "ReadyCheckWarning");
end

function RCW:ChatCommand(input)
	LibStub("AceConfigCmd-3.0").HandleCommand(RCW, "Ready Check Warning", "Ready Check Warning", input);
end

function RCW:ReadyCheckWarning()
	PlaySoundFile("Interface\\AddOns\\RCW\\warning.ogg");
end

